<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.5.2</version>
        <relativePath/>
    </parent>

    <groupId>com.adamkorzeniak.starter</groupId>
    <artifactId>bom</artifactId>
    <version>0.1.0</version>
    <name>bom</name>
    <description>Bom</description>
    <packaging>pom</packaging>

    <properties>
        <java.version>16</java.version>
        <maven.compiler.plugin.version>3.8.1</maven.compiler.plugin.version>

        <mapstruct.version>1.4.2.Final</mapstruct.version>
        <lombok.version>1.18.20</lombok.version>
        <springdoc-openapi.version>1.5.9</springdoc-openapi.version>
        <jasypt-starter.version>3.0.3</jasypt-starter.version>
        <jacoco.version>0.8.7</jacoco.version>
        <jsoup.version>1.14.1</jsoup.version>
        <logback.classic.version>1.2.3</logback.classic.version>
        <logback.contrib.version>0.1.5</logback.contrib.version>
        <mysql.version>5.1.49</mysql.version>

        <utils.configuration.version>0.1.0</utils.configuration.version>
        <utils.exception.version>0.1.0</utils.exception.version>
        <utils.security.version>0.1.0</utils.security.version>
        <utils.logging.version>0.1.0</utils.logging.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.mapstruct</groupId>
                <artifactId>mapstruct</artifactId>
                <version>${mapstruct.version}</version>
            </dependency>
            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>${lombok.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springdoc</groupId>
                <artifactId>springdoc-openapi-ui</artifactId>
                <version>${springdoc-openapi.version}</version>
            </dependency>
            <dependency>
                <groupId>com.github.ulisesbocchio</groupId>
                <artifactId>jasypt-spring-boot-starter</artifactId>
                <version>${jasypt-starter.version}</version>
            </dependency>
            <dependency>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
                <version>${jacoco.version}</version>
            </dependency>
            <dependency>
                <groupId>org.jsoup</groupId>
                <artifactId>jsoup</artifactId>
                <version>${jsoup.version}</version>
            </dependency>
            <dependency>
                <groupId>ch.qos.logback</groupId>
                <artifactId>logback-classic</artifactId>
                <version>${logback.classic.version}</version>
            </dependency>
            <dependency>
                <groupId>ch.qos.logback.contrib</groupId>
                <artifactId>logback-json-classic</artifactId>
                <version>${logback.contrib.version}</version>
            </dependency>
            <dependency>
                <groupId>ch.qos.logback.contrib</groupId>
                <artifactId>logback-jackson</artifactId>
                <version>${logback.contrib.version}</version>
            </dependency>
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql.version}</version>
            </dependency>

            <dependency>
                <groupId>com.adamkorzeniak.utils</groupId>
                <artifactId>common-configuration</artifactId>
                <version>${utils.configuration.version}</version>
            </dependency>
            <dependency>
                <groupId>com.adamkorzeniak.utils</groupId>
                <artifactId>exception-handling</artifactId>
                <version>${utils.exception.version}</version>
            </dependency>
            <dependency>
                <groupId>com.adamkorzeniak.utils</groupId>
                <artifactId>security</artifactId>
                <version>${utils.security.version}</version>
            </dependency>
            <dependency>
                <groupId>com.adamkorzeniak.utils</groupId>
                <artifactId>logging</artifactId>
                <version>${utils.logging.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

</project>
